Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QByteArray Class Reference

The QByteArray class provides an array of bytes. More...

All the functions in this class are reentrant when Qt is built with thread support.

`#include <qcstring.h>`

Inherits QMemArray<char>.

Inherited by QBitArray and QCString.

List of all member functions.

## Public Members

- QByteArray ()
- QByteArray ( int size )

## Related Functions

- QByteArray qCompress ( const QByteArray & data )
- QByteArray qCompress ( const uchar * data, int nbytes )
- QByteArray qUncompress ( const QByteArray & data )
- QByteArray qUncompress ( const uchar * data, int nbytes )

## Detailed Description

The QByteArray class provides an array of bytes.

The QByteArray class provides an explicitly shared array of bytes. It is useful for manipulating memory areas with custom data. QByteArray is implemented as a QMemArray<char>. See the QMemArray documentation for further information.

See also Collection Classes and Non-GUI Classes.

## Member Function Documentation

### QByteArray::QByteArray ()

Constructs an empty QByteArray.

### QByteArray::QByteArray ( int size )

Constructs a QByteArray of size size.

## Related Functions

### QByteArray qCompress ( const uchar * data, int nbytes )

Compresses the array data which is nbytes long and returns the compressed byte array.

See also qUncompress().

### QByteArray qCompress ( const QByteArray & data )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

### QByteArray qUncompress ( const uchar * data, int nbytes )

Uncompresses the array data which is nbytes long and returns the uncompressed byte array.

See also qCompress().

### QByteArray qUncompress ( const QByteArray & data )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.